Skip to main content
PATCH
/
api
/
folder-archive-schedules
/
{id}
Update a folder archive snapshot schedule
curl --request PATCH \
  --url https://convertly.sh/api/folder-archive-schedules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "hour": 11,
  "minute": 29,
  "dayOfWeek": 3,
  "dayOfMonth": 14,
  "timezone": "<string>",
  "targetFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "retentionCount": 183,
  "retentionDays": 1825
}
'
{
  "error": "<string>",
  "upgradeUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Maximum string length: 120
enabled
boolean
frequency
enum<string>
Available options:
daily,
weekly,
monthly
hour
integer
Required range: 0 <= x <= 23
minute
integer
Required range: 0 <= x <= 59
dayOfWeek
integer
Required range: 0 <= x <= 6
dayOfMonth
integer
Required range: 1 <= x <= 28
timezone
string
format
enum<string>
Available options:
zip,
tar,
tgz
targetFolderId
string<uuid> | null
retentionCount
integer | null
Required range: 1 <= x <= 365
retentionDays
integer | null
Required range: 1 <= x <= 3650

Response

Schedule updated